<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="html"/>
  <xsl:template match="/">
    <html>
      <body>
        <xsl:for-each select="object">
          <h2>
            <xsl:value-of select="@name"/>
            Metatype: <xsl:value-of select="@meta_type"/>
          </h2> 
        </xsl:for-each>
        <h1>Columns</h1>
        <table>
          <xsl:for-each select="object/column">
            <xsl:sort select="@value"
                      order="ascending" />
            <tr>
              <td colspan="">
                <xsl:value-of select="@value"/>
              </td>
            </tr>
          </xsl:for-each>
        </table>
        <h1>Indexes</h1>
        <table>
          <tr>
            <th>Name</th>
            <th>Meta-Type</th>
            <th>Indexed Attribute</th>
          </tr>            
          <xsl:for-each select="object/index">
            <xsl:sort select="@name"
                      order="ascending" />
            <tr>
              <td colspan="">
                <xsl:value-of select="@name"/>
              </td>
              <td colspan="">
                <xsl:value-of select="@meta_type"/>
              </td>
              <xsl:for-each select="indexed_attr">
                <td>
                  <xsl:value-of select="@value"/>
                </td>
              </xsl:for-each>
            </tr>
          </xsl:for-each>
        </table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
